Downgrade to repository libtorrent (ubuntu 14.04LTS)

General support for problems installing or using Deluge
tugurlann
Member
Member
Posts: 16
Joined: Sun Dec 14, 2014 1:01 am
OS or Distro: Ubuntu

Downgrade to repository libtorrent (ubuntu 14.04LTS)

Postby tugurlann » Thu Jan 08, 2015 4:17 pm

Hello,

I've recently upgraded to libtorent 1.0 using the Deluge PPA. However, this broke one of my favorite torrents.

How can I downgrade to the repository libtorrent version?

Removing and purging the ppa will also remove deluge...

Kimiko
Member
Member
Posts: 13
Joined: Mon Jun 02, 2014 4:06 pm
OS or Distro: Linux/KUbuntu
Location: NL

Re: Downgrade to repository libtorrent (ubuntu 14.04LTS)

Postby Kimiko » Thu Jan 08, 2015 8:03 pm

Use "apt-get install <packagename>=<version>" to force a version different from the latest.

tugurlann
Member
Member
Posts: 16
Joined: Sun Dec 14, 2014 1:01 am
OS or Distro: Ubuntu

Re: Downgrade to repository libtorrent (ubuntu 14.04LTS)

Postby tugurlann » Fri Jan 09, 2015 1:35 pm

I've downgraded to libtorrent-rasterbar7 (0.16.11-1ubuntu1) from the ppa version.

However, the thin-client on my windows machine still reports libtorrent 1.0.1.0.

Is it just a bug?

Kimiko
Member
Member
Posts: 13
Joined: Mon Jun 02, 2014 4:06 pm
OS or Distro: Linux/KUbuntu
Location: NL

Re: Downgrade to repository libtorrent (ubuntu 14.04LTS)

Postby Kimiko » Fri Jan 09, 2015 2:28 pm

Maybe you missed a package? Try

Code: Select all

dpkg-query -l "*torrent*" | grep ^ii
to check.

For example, when I try that, I get

Code: Select all

ii  libtorrent-rasterbar7    0.16.17-1ubuntu3~ppa1~trusty amd64        C++ bittorrent library by Rasterbar Software
ii  libtorrent-rasterbar8    1.0.1-1~ppa1~trusty          amd64        C++ bittorrent library by Rasterbar Software
ii  python-libtorrent        1.0.1-1~ppa1~trusty          amd64        Python bindings for libtorrent-rasterbar

If libtorrent-rasterbar8 (v1.0 and up) is installed, Deluge prefers that over libtorrent-rasterbar7 (up to v0.16.17something). So if you want it to use v0.16.17, just apt-get remove libtorrent-rasterbar8.

tugurlann
Member
Member
Posts: 16
Joined: Sun Dec 14, 2014 1:01 am
OS or Distro: Ubuntu

Re: Downgrade to repository libtorrent (ubuntu 14.04LTS)

Postby tugurlann » Fri Jan 09, 2015 4:26 pm

Thanks,

Running the command returns something very similar:

Code: Select all

ii  libtorrent-rasterbar7               0.16.19-0ubuntu1~trusty             amd64        C++ bittorrent library by Rasterbar Software
ii  libtorrent-rasterbar8               1.0.1-1~ppa1~trusty                 amd64        C++ bittorrent library by Rasterbar Software
ii  python-libtorrent                   1.0.1-1~ppa1~trusty                 amd64        Python bindings for libtorrent-rasterbar


running:

Code: Select all

apt-get remove libtorrent-rasterbar8


warns about also removing deluged & python-libtorrent:

Code: Select all

The following packages will be REMOVED:
  deluged libtorrent-rasterbar8 python-libtorrent
0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
After this operation, 5,074 kB disk space will be freed.


I would very much like to not uninstall deluged, as it is configured with plugins and thin-client :).

Thanks.

On a related note, on the libtorrent sourceforge (http://sourceforge.net/projects/libtorr ... ibtorrent/) there are two packages released the same day, with different naming conventions:

    libtorrent-rasterbar-0.16.19.tar.gz --- 2014-12-07 --- 3.0 MB
    libtorrent-rasterbar-1.0.3.tar.gz --- 2014-12-07 -- 3.3 MB

Any idea why the different naming convention?

ratzeputz
Member
Member
Posts: 16
Joined: Wed May 09, 2012 1:32 pm
OS or Distro: debian/osx

Re: Downgrade to repository libtorrent (ubuntu 14.04LTS)

Postby ratzeputz » Sat Jan 10, 2015 12:18 am

regarding the ppa: it would be nice to have older versions available via the ppa: if there is a error, which requires a temporary downgrade, you have to either compile an older version yourself or update to the main repository stable package which would be 1.3.6 or something for Debian.

Is this technically possible?

tugurlann
Member
Member
Posts: 16
Joined: Sun Dec 14, 2014 1:01 am
OS or Distro: Ubuntu

Re: Downgrade to repository libtorrent (ubuntu 14.04LTS)

Postby tugurlann » Mon Jan 12, 2015 4:37 pm

Anyone here?

An alternative would be to instruct the daemon to somehow use the older libraries if those are still available.


Return to “Support”

Who is online

Users browsing this forum: Bing [Bot] and 6 guests